Bug 187992 - Authorisation using winbind helpers failure. Second error.
Authorisation using winbind helpers failure. Second error.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 03:36 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 03:51:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-04-05 03:36:20 EDT
Description of problem:
After changes, decribed in error #187988, helpers wb_auth and wb_ntlmauth still
shows error message "Can't contact winbindd. Dying". Really they connects to
windinnd, but in winbindd.log now appeares messages like:
[2006/04/05 11:01:41, 0] nsswitch/winbindd.c:request_len_recv(554)
  request_len_recv: Invalid request size received: 1304


Version-Release number of selected component (if applicable):
squid-2.5.STABLE13, squid-2.5.STABLE12

How reproducible:
Simply call wb_auth or wb_ntlmauth(other helpers not checked)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Error message from helpers on console: "Can't contact winbindd. Dying."
Record in winbindd.log:
[2006/04/05 11:01:41, 0] nsswitch/winbindd.c:request_len_recv(554)
  request_len_recv: Invalid request size received: 1304

Expected results:


Additional info:
In squid sources in include/samba/README.txt there is info, that included
headers are from samba-2.2.7a and it may be necessary to replace them with
headers from samba, installed on computer. But it solves problem only partialy:
helpers still don't work( for example, wb_auth hangs, waiting answer from
winbindd, but without error message in winbindd.log)

Note You need to log in before you can comment on or make changes to this bug.